Subject: Re: [Int-area] Delays in DNS vs. delays in pull-based mapping

From: Joe Touch <[email-masked]>
Date: Sun, 01 Feb 2009 09:31:11 -0800

Christian Vogt wrote:
> 
> [ Forked from thread:  "Please respond: Questions from the IESG as to
> whether a WG forming BOF is necessary for LISP". ]
> 
> 
> On Jan 28, 2009, Noel Chiappa wrote:
> 
>> Also, what percentage of DNS resolutions take more than one round-trip
>> (because of the use of multi-level DNS names)? Surely that's an even
>> worse delay (several round-trips, as opposed to simply a few extra
>> hops), but I don't think I've heard complaints about that?
> 
> 
> Noel -
> 
> There are two significant differences between the delays introduced by
> DNS during hostname resolution, and the delays introduced by a pull-
> based mapping system:
> 
> - DNS-related delays do not affect transport protocols, whereas pull-
>   based mapping systems do.
> 
> - DNS does not create off-path dependencies for routing, whereas a
>   pull-based mapping system does.  In pull-based mapping systems, at
>   least the mapping requests must travel via an overlay because the
>   direct routing path is not yet known at the request time.  This
>   creates an off-path dependency for routing.

Add the following:

- - DNS is optional

- - DNS is endpoint (part of the reason why your first item is true)

- - DNS is not affected by path changes (they're both affected by
renumbering, but DNS doesn't care if the node is moved, e.g., to a
different mapping egress, but mapping does)

Joe
_______________________________________________
Int-area mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/int-area